/*
    psftools: Manipulate console fonts in the .PSF format
    Copyright (C) 2002  John Elliott

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#include "psfio.h"

extern PSF_MAPPING m_8859_1,  m_8859_16, m_8859_6, m_CP1251, m_CP1256, m_CP775, m_CP860, 
m_CP865, m_8859_10, m_8859_2,  m_8859_7, m_CP1252, m_CP1257, m_CP850,
m_CP861, m_CP866, m_8859_13, m_8859_3,  m_8859_8, m_CP1253, m_CP1258, 
m_CP852, m_CP862, m_CP869, m_8859_14, m_8859_4,  m_8859_9, m_CP1254, 
m_CP437,  m_CP855, m_CP863, m_CP874, m_8859_15, m_8859_5,  m_CP1250, 
m_CP1255, m_CP737,  m_CP857, m_CP864, m_AMSTRAD;

static PSF_MAPPING *codepages[] =
{
&m_8859_1,  
&m_8859_2,  
&m_8859_3,
&m_8859_4,
&m_8859_5,
&m_8859_6, 
&m_8859_7, 
&m_8859_8,
&m_8859_9,
&m_8859_10, 
&m_8859_13,
&m_8859_14,
&m_8859_15,
&m_8859_16, 
&m_AMSTRAD,
&m_CP437,
&m_CP737,
&m_CP775, 
&m_CP850,
&m_CP852,
&m_CP852,
&m_CP855,
&m_CP857,
&m_CP860, 
&m_CP861,
&m_CP862,
&m_CP863,
&m_CP864,
&m_CP865, 
&m_CP866,
&m_CP869,
&m_CP874,
&m_CP1250,
&m_CP1251, 
&m_CP1252, 
&m_CP1253,
&m_CP1254,
&m_CP1255,
&m_CP1256, 
&m_CP1257, 
&m_CP1258,
NULL };

/* Find an ASCII->Unicode mapping */
PSF_MAPPING *psf_find_mapping(char *name)
{
	PSF_MAPPING **m;

	for (m = codepages; *m; m++) 
	{
		if (!strcmp((*m)->psfm_name, name)) return *m;
	}
	return NULL;
}


void psf_list_mappings(FILE *fp)
{
	PSF_MAPPING **m;
	for (m = codepages; *m; m++) 
	{
		fprintf(fp, "%s ", (*m)->psfm_name);
	}
}

